#!/usr/bin/env python
# coding: utf-8

# In[2]:


from sklearn import datasets
from sklearn.model_selection import train_test_split
from sklearn.svm import SVC
from sklearn.metrics import accuracy_score


# In[3]:


# Charger le jeu de données Iris
iris = datasets.load_iris()
X = iris.data
y = iris.target


# In[4]:


# Diviser les données en ensembles d'entraînement et de test 
X_train, X_test, y_train, y_test = train_test_split(X, y, test_size=0.2, random_state=42)


# In[5]:


# Créer un modèle SVM
svm_model = SVC()

# Entraîner le modèle sur l'ensemble d'entraînement
svm_model.fit(X_train, y_train)


# In[6]:


# Faire des prédictions sur l'ensemble de test
y_pred = svm_model.predict(X_test)

# Évaluer la performance du modèle
accuracy = accuracy_score(y_test, y_pred)
print(f"Accuracy: {accuracy}")


# In[ ]:




